# ASIN function

The ASIN function returns the arc sine of a specified number.

The specified number is the sine, in radians, of the angle that you want. The specified number must be a DOUBLE PRECISION number.

- If the specified number is NULL, the result of this function is NULL.
- If the specified number is zero (0), the result of this function is zero with the same sign as the specified number.
- If the absolute value of the specified number is greater than 1, an exception is returned that indicates that the value is out of range (SQL state 22003).

The returned value, in radians, is in the range -pi/2 to pi/2. The data type of the returned value is a DOUBLE PRECISION number.

#### Syntax

    ASIN ( number )

Parent topic: Built-in functions